function print(p),

% PRINT Show the details for the Bhatia-Wolf polynomial.
%

fprintf('DETAILS\n');
fprintf('  FAMILY    = %s\n', p.family);
fprintf('  TYPE      = %s\n', p.type);
fprintf('  ORDER     = %d\n', p.order);
fprintf('  TERMS     = %d\n', length(p.terms));
fprintf('  COORD.    = %s\n', p.coord);
fprintf('  AP.RADIUS = %f\n', p.aperture);
fprintf('COEFFICIENTS\n');
fprintf('--------------------------------------------------------------\n');
fprintf('  #   |  N  |  M  |    VALUE     |  Description\n');
fprintf('--------------------------------------------------------------\n');

for k=1:size(p.coeff, 1),
 fprintf(1, '%4d. | %3d | %3d | %-12f | %s\n', ... 
            k, p.terms(k,1), p.terms(k,2), p.coeff(k), ... 
            bhwTermStr(k));
end 
fprintf('--------------------------------------------------------------\n');

return
