function [M, varargout] = getMdv(p, x, y, strf),

% GETMDV Return derivatives of the 2D B-Spline. 
%
% GETMDV(p, x, y, strf).  The derivative (strType) wither 'dzdx' or 'dzdy' 
% will be returned for position (x, y).
%

switch(strf)
    case { 'u','v','dzdu','dzdv','dzdx','dzdy' }    
        M       = bsp2dgetMdv(p.n, p.m, p.kt{1}, p.kt{2}, p.degree(1), p.degree(2), x, y, strf);
        return
    
    case { 'u-v' }    
        M   = bsp2dgetMdv(p.n, p.m, p.kt{1}, p.kt{2}, p.degree(1), p.degree(2), x, y, 'u');
        varargout{1}   = bsp2dgetMdv(p.n, p.m, p.kt{1}, p.kt{2}, p.degree(1), p.degree(2), x, y, 'v');
        return
        
    otherwise    
        error('(GETMDV) Unknown derivative requested.');
end 
    
return