% TEST_PRK check the PRK function for consisitency 
% 
% 1. Estimate dzdx and dzdy from z 
% 2. Return the estimate from the function directly
% 3. return normal and test that one

t = linspace(0, 360, 8); t = degtorad(t);
r = linspace(0, 4); r = r(2:end);

[t, r] = meshgrid(t, r);
[x, y] = pol2cart(t, r);

nargs = prk('default');

e = 1e-4;

dzdx_1 = (prk(x+e, y, nargs{:}) - prk(x-e, y, nargs{:}))/(2*e);
dzdy_1 = (prk(x, y+e, nargs{:}) - prk(x, y-e, nargs{:}))/(2*e);

dzdx_2 = prk(x, y, nargs{:}, 'dzdx');
dzdy_2 = prk(x, y, nargs{:}, 'dzdy');

n      = prk(x, y, nargs{:}, 'normal');

fprintf('ERROR                  = %6.6e\n', e);
e = abs(dzdx_1 - dzdx_2); 
fprintf('MAX ERROR (DX)         = %6.6e\n', max(e(:)));
e = abs(dzdy_1 - dzdy_2); 
fprintf('MAX ERROR (DY)         = %6.6e\n', max(e(:)));

ex = abs(dzdx_1(:) - n(:,1));
ey = abs(dzdy_1(:) - n(:,2));

fprintf('NORMAL ERRORS (DX, DY) = (%6.6e, %6.6e)\n', max(ex), max(ey));


